//*****************************************
// AT mega328P-PA(32pin TDFP) fourteen IN-172 clock Program
// CPU Clock:8MHz
//   iq[Yf[^@WȂBIV[^(8MHz)ɂj
//
// File Name:nixie.h
//
//  2017/09/13 New TAB4 Taishi
//  2017/12/13 Ver 2.00 Taishi
//  2018/10/25 Modify for Fifteen IN-17 Clock Taishi
//  2019/12/30 Modify for fourteen IN-172 Clock Taishi
//*****************************************

#define	KETA_MAX		14				// ̋@̌iO炱̒l܂łőIB̒l͗jmlIňj
#define	KETA_SEL_MAX	7				// ̋@̌IR[h̍őliO炱̒l܂łőIB̒l͗ǰjiKETA_MAX  1/2 ɂȂBKETA_MAX ̎ KETA_MAX+1  1/2 ɂȂj
#define	PATH_MAX		4				// _Ci~bN\1̃JEgii̒l{Pjitaimer2̊ݎ[TOOr]jP̎ԂɂȂj


extern	unsigned char	nixe_active;
extern	unsigned char	path_limit;

extern	void	init_nixe(void);
extern	void	proc_dynamic_nixie(void);
extern	void	dynamic_nixie_active(unsigned char on);
extern	void	disp_nixie_full(char *cp);
extern	void	disp_nixie_number(char *cp);
extern	void	disp_dynamic_nixie_number(unsigned char k, unsigned char n);
extern	void	disp_dynamic_nixie_clear(void);
extern	void	disp_dynamic_day_of_week(unsigned char n);
extern	void	disp_dynamic_tow_neon(unsigned char nh, unsigned char nl);

extern	void	disp_static_nixie_number(unsigned char k, unsigned char n);
extern	void	disp_static_day_of_week(unsigned char n);
